(function ($, Drupal, drupalSettings, once) {
  'use strict';
  let field = drupalSettings.ocr_field_widget.field;
  let ocr = drupalSettings.ocr_field_widget.ocr;
  if(field != '' && $("input[name*='" + field + "[0][value]']").length){
    $("input[name*='" + field + "[0][value]']").val(ocr);
  }
  if(field != '' && $("textarea[name*='" + field + "[0][value]']").length){
    $("textarea[name*='" + field + "[0][value]']").val(ocr);
    let editorId = $("textarea[name*='" + field + "[0][value]']").prop("id");
    if(typeof CKEDITOR !== 'undefined' && CKEDITOR.instances[editorId] != undefined){
      let editor = CKEDITOR.instances[editorId].setData(ocr);
    }
    if(typeof CKEditor5 !== 'undefined'){
      editorId = $("textarea[name*='" + field + "[0][value]']").data("ckeditor5-id");
      let editor = Drupal.CKEditor5Instances.get(editorId).setData(ocr);
    }
  }
})(jQuery, Drupal, drupalSettings, once);
